clear all
set mem 650m
set matsize 4000
set more off
program drop _all
macro drop _all
capture log close

use AEJ_data_1rep.dta, replace

*******************************************************
* Table: descriptive statistics -- First Republic
*******************************************************

bysort leg: gen N=_N

tabstat rap_all_current_new rap_all_current_3 N,by(leg) s(mean)
latabstat rap_all_current_new rap_all_current_3 N,by(leg) s(mean) f(%9.2fc)

local individual male age years_educ gov_appoint loc_exp freshman tenure govin/*
*/ rap_all_current_new rap_all_current_3 candidacy reelection

tabstat `individual', s(mean median sd min max N) c(s)
latabstat `individual', f(%9.2fc) tf(tab_indiv_des)replace s(mean median sd min max N) c(s)

*** SUMMARY STATISTICS SECOND REPUBLIC *** 

clear all
use AEJ_data_2rep.dta, replace

bysort legislature: gen N=_N

tabstat absenteeism_perc bill N,by(legislature) s(mean)
latabstat absenteeism_perc bill N,by(legislature) s(mean) f(%9.2fc)

local individual male married nkids age years_school prop_election /*
*/ pol_national appointment_gov appointment_parl past_appointment_local fresh gov_coalition /*
*/ migr law director pol2 entrepreneur  selfemp physician income_1 /*
*/ absenteeism_perc bill reelected reelected_idem_place

tabstat `individual', s(mean median sd min max N) c(s)
latabstat `individual', f(%9.2fc) tf(tab_indiv_des)replace s(mean median sd min max N) c(s)

tabstat reelected reelected_idem_place absenteeism_perc bill if prop_election==1, s(mean median sd min max N) c(s)
tabstat reelected reelected_idem_place absenteeism_perc bill if prop_election==0, s(mean median sd min max N) c(s)
