clear all
set mem 650m
set matsize 4000
set more off
program drop _all
macro drop _all
capture log close

use AEJ_data_1rep.dta, replace


*******************************************************
* Table: impact of social capital on malfeasance
*******************************************************

foreach x in rap_all_current_new {

local controls income edu_prov urbanization years_educ gov_appoint loc_exp freshman govin tenure/*
*/ lawyer executive entrepreneur teacher physician politician age age_squared male duI-duX north south

*column (1) - SC of election
dprobit `x' donation `controls', robust cluster(district)
outreg2 donation years_educ gov_appoint loc_exp freshman tenure govin /*
*/ using Tab5_`x', bdec(3) brac nocons replace nor tex(nopretty)

*column (2) - SC of election with newspapers among controls
dprobit `x' donation newspapers `controls', robust cluster(district)
outreg2 donation years_educ gov_appoint loc_exp freshman tenure govin newspapers /*
*/ using Tab5_`x', bdec(3) brac nocons append nor tex(nopretty)

*column (3) - SC of election with fe for place of birth
xi:dprobit `x' donation `controls' i.regionbirth_new, robust cluster(district)
outreg2 donation years_educ gov_appoint loc_exp freshman tenure govin /*
*/ using Tab5_`x', bdec(3) brac nocons append nor tex(nopretty)

}

foreach x in rap_all_current_3 {
local controls income edu_prov urbanization years_educ gov_appoint loc_exp freshman govin tenure/*
*/ lawyer executive entrepreneur teacher physician politician age age_squared male duI-duX north south

*column (1) - SC of election
dprobit `x' donation `controls', robust cluster(district)
outreg2 donation years_educ gov_appoint loc_exp freshman tenure govin /*
*/ using Tab5_`x', bdec(3) brac nocons replace nor tex(nopretty)

*column (2) - SC of election with newspapers among controls
dprobit `x' donation newspapers `controls', robust cluster(district)
outreg2 donation years_educ gov_appoint loc_exp freshman tenure govin newspapers /*
*/ using Tab5_`x', bdec(3) brac nocons append nor tex(nopretty)

*column (3) - SC of election with fe for place of birth
xi:dprobit `x' donation `controls' i.regionbirth_new, robust cluster(district)
outreg2 donation years_educ gov_appoint loc_exp freshman tenure govin /*
*/ using Tab5_`x', bdec(3) brac nocons append nor tex(nopretty)

}

