clear all
use AEJ_data_2rep.dta, replace

local controls1 male married nkids age agesq years_school prop_election /*
*/ pol_national appointment_gov appointment_parl past_appointment_local fresh gov_coalition /*
*/ incpp_ele urbanization edu1_ele macrodistrict_ne macrodistrict_nw macrodistrict_south macrodistrict_island /*
*/ law pol2 entrepreneur  selfemp physician income_1 leg13

*adding newspapers:
local controls2 male married nkids age agesq years_school prop_election /*
*/ pol_national appointment_gov appointment_parl past_appointment_local fresh gov_coalition /*
*/ incpp_ele urbanization  edu1_ele quotidiani_ele macrodistrict_ne macrodistrict_nw macrodistrict_south macrodistrict_island /*
*/ law pol2 entrepreneur  selfemp physician income_1 leg13

*column 1 -- individual controls + district controls + macro-region fe + legislature fe
reg absenteeism_perc donation_ele don_prop `controls1', robust cluster(elect_place)
outreg2 donation_ele years_school don_prop prop_election pol_national appointment_gov appointment_parl past_appointment_local fresh gov_coalition income_1 /*
*/ using Tab5, bdec(3) brac nocons replace nor tex(nopretty)

*column 2 -- individual controls + district controls with newspapers + macro-region fe + legislature fe
reg absenteeism_perc donation_ele don_prop `controls2', robust cluster(elect_place)
outreg2 donation_ele quotidiani_ele years_school don_prop prop_election pol_national appointment_gov appointment_parl past_appointment_local fresh gov_coalition income_1 /*
*/ using Tab5, bdec(3) brac nocons append nor tex(nopretty)

*column 3 -- individual controls + district of birth fe + legislature fe
xi: reg absenteeism_perc donation_ele don_prop `controls1' i.elect_place, robust cluster(elect_place)
outreg2 donation_ele years_school don_prop prop_election pol_national appointment_gov appointment_parl past_appointment_local fresh gov_coalition income_1 /*
*/ using Tab5, bdec(3) brac nocons nor tex(nopretty) append

*** TABLE ON TARGETED BILLS

local controls1 male married nkids age agesq years_school prop_election/*
*/ pol_national appointment_gov appointment_parl past_appointment_local fresh gov_coalition /*
*/ incpp_ele urbanization edu1_ele macrodistrict_ne macrodistrict_nw macrodistrict_south macrodistrict_island /*
*/ law pol2 entrepreneur  selfemp physician income_1 leg13

*adding newspapers:
local controls2 male married nkids age agesq years_school prop_election /*
*/ pol_national appointment_gov appointment_parl past_appointment_local fresh gov_coalition /*
*/ incpp_ele urbanization  edu1_ele quotidiani_ele macrodistrict_ne macrodistrict_nw macrodistrict_south macrodistrict_island /*
*/ law pol2 entrepreneur  selfemp physician income_1 leg13

*column 1 -- individual controls + district controls + macro-region fe + legislature fe
reg bill donation_ele don_prop `controls1', robust cluster(elect_place)
outreg2 donation_ele years_school don_prop prop_election pol_national appointment_gov appointment_parl past_appointment_local fresh gov_coalition income_1 /*
*/ using Tab5, bdec(3) brac nocons append nor tex(nopretty)

*column 2 -- individual controls + district controls with newspapers + macro-region fe + legislature fe
reg bill donation_ele don_prop `controls2', robust cluster(elect_place)
outreg2 donation_ele quotidiani_ele years_school don_prop prop_election pol_national appointment_gov appointment_parl past_appointment_local fresh gov_coalition income_1 /*
*/ using Tab5, bdec(3) brac nocons append nor tex(nopretty)

*column 3 -- individual controls + district of birth fe + legislature fe
xi: reg bill donation_ele don_prop `controls1' i.elect_place, robust cluster(elect_place)
outreg2 donation_ele years_school don_prop prop_election pol_national appointment_gov appointment_parl past_appointment_local fresh gov_coalition income_1 /*
*/ using Tab5, bdec(3) brac nocons nor tex(nopretty) append


